Next: IS_IOSTAT_END, Previous: IRAND, Up: Intrinsic Procedures [Contents][Index]

### 9.155 `IS_CONTIGUOUS` — Test whether an array is contiguous

Description:

  `IS_CONTIGUOUS` tests whether an array is contiguous.

Standard:

  Fortran 2008 and later

Class:

  Inquiry function

Syntax:

  `RESULT = IS_CONTIGUOUS(ARRAY)`

Arguments:

  ARRAY | Shall be an array of any type.

Return value:

  Returns a `LOGICAL` of the default kind, which `.TRUE.` if ARRAY is contiguous and false otherwise.

Example:

      program test
        integer :: a(10)
        a = [1,2,3,4,5,6,7,8,9,10]
        call sub (a)      ! every element, is contiguous
        call sub (a(::2)) ! every other element, is noncontiguous
      contains
        subroutine sub (x)
          integer :: x(:)
          if (is_contiguous (x)) then
            write (*,*) 'X is contiguous'
          else
            write (*,*) 'X is not contiguous'
          end if
        end subroutine sub
      end program test